Package: vinagre
Version: 3.14.1-1
Followup-For: Bug #784123

Dear Maintainer,

This still exists in Debian 8.6 as shown in the following video:

https://youtu.be/_Gf5XQkSd8Y

This video shows a full screen VNC session using vinagre on Debian
8.6. "At some point" mouse control is lost. Clicking icons in the
remote windows VNC session no longer works. Clicking on the terminal
on the left brings up the Linux terminal used to launch
vinagre. Leaving full screen with F11 reveals the Linux context menu
is selected on the desktop behind the VNC session and mouse control is
lost on the Gnome desktop until hitting Alt-Tab.

It seems non-deterministic as to just how the situation occurs. Using
Super-PageUp and Super-PageDown, Alt-Tab and switching in and out of
full screen with F11 are probably the best way to reproduce
this. Sometimes it seems stable for a while then things stop working.

There are also error messages reported by both vinagre and gnome-shell
at the time of failure:

Vinagre reports:

mneilly@spiderbyte2:~$ vinagre
(vinagre:13166): GLib-CRITICAL **: Source ID 630 was not found when attempting 
to remove it

While gnome-shell reports:

mneilly@spiderbyte2:~$ gnome-shell --replace
current session already has an ibus-daemon.
Gjs-Message: JS LOG: Failed to register AuthenticationAgent
GNOME Shell started at Sat Sep 17 2016 17:49:01 GMT-0700 (PDT)
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a 
timestamp of 0 for 0x2000007 (Remote Des)
Gjs-Message: JS LOG: pushModal: invocation of begin_modal failed
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a 
timestamp of 0 for 0x2200010 ()

-- System Information:
Debian Release: 8.6
  APT prefers experimental
  APT policy: (1000, 'experimental'), (500, 'stable-updates'), (500, 'stable'), 
(100, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.16.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages vinagre depends on:
ii  dconf-gsettings-backend [gsettings-bac  0.22.0-1
ii  libavahi-common3                        0.6.31-5
ii  libavahi-gobject0                       0.6.31-5
ii  libavahi-ui-gtk3-0                      0.6.31-5
ii  libc6                                   2.19-18+deb8u6
ii  libcairo2                               1.14.0-2.1+deb8u1
ii  libdbus-glib-1-2                        0.102-1
ii  libfreerdp-core1.1                      1.1.0~git20140921.1.440916e+dfsg1-4
ii  libfreerdp-gdi1.1                       1.1.0~git20140921.1.440916e+dfsg1-4
ii  libfreerdp-locale1.1                    1.1.0~git20140921.1.440916e+dfsg1-4
ii  libgdk-pixbuf2.0-0                      2.31.1-2+deb8u5
ii  libglib2.0-0                            2.42.1-1+b1
ii  libgtk-3-0                              3.14.5-1+deb8u1
ii  libgtk-vnc-2.0-0                        0.5.3-1.3
ii  libsecret-1-0                           0.18-1+b1
ii  libspice-client-glib-2.0-8              0.25-1+b1
ii  libspice-client-gtk-3.0-4               0.25-1+b1
ii  libtelepathy-glib0                      0.24.1-1
ii  libvte-2.91-0                           0.38.1-2
ii  libxml2                                 2.9.1+dfsg1-5+deb8u3

Versions of packages vinagre recommends:
ii  freerdp-x11  1.1.0~git20140921.1.440916e+dfsg1-4

vinagre suggests no packages.

-- no debconf information

Reply via email to